Subject: Re: bug#17190: 24.4.50; fill-flow checks quoted lines after deleting leading space

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 17:20:08 -0700

Kazuhiro Ito <[email-masked]> writes:

> When I evaluate the below code, I receive unexpected result.
>
> (with-temp-buffer
>   (require 'flow-fill)
>   (insert " > ABC \nDEF\n")
>   (fill-flowed)
>   ;; (mime-display-text/plain-flowed)
>   (buffer-string))
>
> ->
> "> ABC 
> DEF
> "
> But I expect the below result.
>
> "> ABC DEF
> "

If I'm reading

https://tools.ietf.org/html/rfc2646

right, that's not how this is supposed to work, and `fill-flowed' does
it correctly -- it's supposed to flow together lines that have the same
quotation level, like this:

(with-temp-buffer
  (require 'flow-fill)
  (insert " > ABC \n> DEF\n")
  (fill-flowed)
  (buffer-string))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no